### Method

# Ide DiagnosticProvider diagnose_async

#### Declaration

    void
    ide_diagnostic_provider_diagnose_async (
      IdeDiagnosticProvider* self,
      GFile* file,
      GBytes* contents,
      const gchar* lang_id,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Requests the provider diagnose `file` using `contents` as the contents of the file.

`callback` is executed upon completion, and the caller should call `ide_diagnostic_provider_diagnose_finish()` to get the result.

Available since: | 3.32

#### Parameters

`file` | `GFile`
| A `GFile`.
| The data is owned by the caller of the function.
`contents` | `GBytes`
| The content for the buffer.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`lang_id` | `const gchar*`
| The language id for the buffer.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to execute upon completion.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.